<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <connectionStrings>
    <add name="UWEAssist.Properties.Settings.connectionString" connectionString="Server=.\SQLExpress;Database=UWEAssist;Trusted_Connection=True;" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />
  </startup>
  <appSettings>
    <add key="log4net.Config" value="log4.config" />
    <add key="log4net.Config.Watch" value="True" />
    <add key="log4net.Internal.Debug" value="False" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Windows.Forms" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Drawing" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Xml" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Data" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="log4net" publicKeyToken="669e0ddf0bb1aa2a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.8.0" newVersion="2.0.8.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.IdentityModel.Clients.ActiveDirectory" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.4.0" newVersion="5.2.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.1.3" newVersion="4.1.1.3" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <log4net>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ABSOLUTE} [%-5thread] %logger %newline    %message %newline    %exception %newline" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <level value="ALL" />
      </filter>
    </appender>
    <appender name="RollingFileAppenderDebug" type="log4net.Appender.RollingFileAppender,log4net">
      <file value="Logs\" />
      <datePattern value="yyyyMMdd' Debug.log'" />
      <appendToFile value="true" />
      <PreserveLogFileNameExtension value="true" />
      <rollingStyle value="Composite" />
      <!--How many log files to keep FIFO-->
      <maxSizeRollBackups value="100" />
      <!--Maximum size of log file-->
      <maximumFileSize value="100MB" />
      <staticLogFileName value="false" />
      <filter type="log4net.Filter.LevelRangeFilter">
        <!--<level value="ALL" />-->
        <levelMin value="DEBUG" />
        <levelMax value="DEBUG" />
      </filter>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ABSOLUTE} [%-5thread] %-50logger %message %newline" />
        <!--<conversionPattern value="%date [%thread] %level %logger - %message%newline%exception"/>-->
      </layout>
    </appender>
    <appender name="RollingFileAppenderInfo" type="log4net.Appender.RollingFileAppender,log4net">
      <file value="Logs\" />
      <datePattern value="yyyyMMdd' Comms.log'" />
      <appendToFile value="true" />
      <PreserveLogFileNameExtension value="true" />
      <rollingStyle value="Composite" />
      <!--How many log files to keep FIFO-->
      <maxSizeRollBackups value="100" />
      <!--Maximum size of log file-->
      <maximumFileSize value="100MB" />
      <staticLogFileName value="false" />
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="INFO" />
        <levelMax value="INFO" />
      </filter>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ABSOLUTE} [%-5thread] %message %newline" />
        <!--<conversionPattern value="%date [%thread] %level %logger - %message%newline%exception"/>-->
      </layout>
    </appender>
    <appender name="RollingFileAppenderFatal" type="log4net.Appender.RollingFileAppender,log4net">
      <file value="Logs\" />
      <datePattern value="yyyyMMdd' Error.log'" />
      <appendToFile value="true" />
      <PreserveLogFileNameExtension value="true" />
      <rollingStyle value="Composite" />
      <!--How many log files to keep FIFO-->
      <maxSizeRollBackups value="100" />
      <!--Maximum size of log file-->
      <maximumFileSize value="100MB" />
      <staticLogFileName value="false" />
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="FATAL" />
        <levelMax value="FATAL" />
      </filter>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ABSOLUTE} [%-5thread] %logger %newline    %message %newline    %exception %newline" />
      </layout>
    </appender>
    <appender name="RollingFileAppenderWarn" type="log4net.Appender.RollingFileAppender,log4net">
      <file value="Logs\" />
      <datePattern value="yyyyMMdd' Barcode.log'" />
      <appendToFile value="true" />
      <PreserveLogFileNameExtension value="true" />
      <rollingStyle value="Composite" />
      <!--How many log files to keep FIFO-->
      <maxSizeRollBackups value="100" />
      <!--Maximum size of log file-->
      <maximumFileSize value="100MB" />
      <staticLogFileName value="false" />
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="WARN" />
        <levelMax value="WARN" />
      </filter>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{ABSOLUTE} [%thread] %message %newline" />
        <!--<conversionPattern value="%date [%thread] %level %logger - %message%newline%exception"/>-->
      </layout>
    </appender>
    <appender name="asyncForwarderDebug" type="Log4Net.Async.AsyncForwardingAppender,Log4Net.Async">
      <appender-ref ref="RollingFileAppenderDebug" />
      <appender-ref ref="RollingFileAppenderInfo" />
      <appender-ref ref="RollingFileAppenderFatal" />
      <appender-ref ref="RollingFileAppenderWarn" />
      <appender-ref ref="ConsoleAppender" />
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="asyncForwarderDebug" />
    </root>
  </log4net>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>
